//
//  FontSizeAdjustView.swift
//  App
//
//  Created by James Magahern on 9/22/20.
//

import UIKit

class FontSizeAdjustView: DocumentControlItemView
{
    let decreaseSizeButton = UIButton(frame: .zero)
    let increaseSizeButton = UIButton(frame: .zero)
    let labelView = UILabel(frame: .zero)
    
    override init() {
        super.init()
        
        labelView.textColor = .secondaryLabel
        labelView.textAlignment = .center
        labelView.text = "100%"
        
        tintColor = .label
        
        decreaseSizeButton.setImage(UIImage(systemName: "minus"), for: .normal)
        increaseSizeButton.setImage(UIImage(systemName: "plus"), for: .normal)
        
        addSubview(increaseSizeButton)
        addSubview(decreaseSizeButton)
        addSubview(labelView)
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    override func layoutSubviews() {
        super.layoutSubviews()
        
        highlightView.isHidden = true
        
        decreaseSizeButton.frame = CGRect(
            x: 0.0, y: 0.0,
            width: bounds.height,
            height: bounds.height
        )
        
        increaseSizeButton.frame = CGRect(
            x: bounds.width - bounds.height, y: 0.0,
            width: bounds.height,
            height: bounds.height
        )
        
        labelView.frame = CGRect(
            x: decreaseSizeButton.frame.maxX, y: 0.0,
            width: bounds.width - decreaseSizeButton.frame.width - increaseSizeButton.frame.width,
            height: bounds.height
        )
    }
}
